/* BOTÓN FLOTANTE */
#chat-btn {
    position: fixed;
    bottom: 20px;
    right: 20px;

    width: 55px;
    height: 55px;

    background: #d90000;
    color: white;

    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;

    cursor: pointer;
    font-size: 22px;

    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.3);

    /* IMPORTANTE */
    z-index: 99999;
}

/* VENTANA DEL CHAT */
.chat-box {
    position: fixed;
    bottom: 90px;
    right: 20px;

    width: 300px;
    height: 400px;

    background: white;
    border-radius: 15px;

    display: flex;
    flex-direction: column;

    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.3);

    /* IMPORTANTE */
    z-index: 99999;
}

/* OCULTAR */
.hidden {
    display: none;
}

/* HEADER */
.chat-header {
    background: #111;
    color: white;

    padding: 10px;

    display: flex;
    justify-content: space-between;
    align-items: center;
}

/* MENSAJES */
.chat-messages {
    flex: 1;
    padding: 10px;
    overflow-y: auto;

    font-size: 14px;
}

/* INPUT */
.chat-input {
    display: flex;
    border-top: 1px solid #ddd;
}

.chat-input input {
    flex: 1;

    border: none;
    padding: 10px;

    outline: none;
}

.chat-input button {
    background: #d90000;
    color: white;

    border: none;
    padding: 10px;

    cursor: pointer;
}


/* MENSAJES DEL CHAT */

.mensaje {
    max-width: 80%;
    padding: 8px 12px;
    margin-bottom: 10px;
    border-radius: 12px;
    word-wrap: break-word;
}

/* NOMBRE */
.mensaje-nombre {
    font-size: 11px;
    font-weight: bold;
    margin-bottom: 3px;
}

/* TEXTO */
.mensaje-texto {
    font-size: 14px;
}

/* CLIENTE */
.mensaje.cliente {
    margin-left: auto;

    background: #d90000;
    color: white;

    border-bottom-right-radius: 3px;
}

/* SOPORTE */
.mensaje.admin {
    margin-right: auto;

    background: #eeeeee;
    color: #111;

    border-bottom-left-radius: 3px;
}

/* NOMBRE DEL CLIENTE */
.mensaje.cliente .mensaje-nombre {
    color: #ffffff;
}

/* NOMBRE DEL SOPORTE */
.mensaje.admin .mensaje-nombre {
    color: #555;
}


.mensaje {
    max-width: 80%;
    padding: 8px 12px;
    margin-bottom: 10px;
    border-radius: 12px;
    word-wrap: break-word;
}

.mensaje-nombre {
    font-size: 11px;
    font-weight: bold;
    margin-bottom: 3px;
}

.mensaje-texto {
    font-size: 14px;
}

.mensaje.cliente {
    margin-left: auto;
    background: #d90000;
    color: white;
    border-bottom-right-radius: 3px;
}

.mensaje.admin {
    margin-right: auto;
    background: #eeeeee;
    color: #111;
    border-bottom-left-radius: 3px;
}